> ## Documentation Index
> Fetch the complete documentation index at: https://developer.salesforge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk remove DNCs

> Remove multiple DNC entries from a workspace using their values.



## OpenAPI

````yaml https://api.salesforge.ai/public/v2/swagger/doc.json post /workspaces/{workspaceID}/dnc/bulk/remove
openapi: 3.1.0
info:
  description: Get mailboxes associated with the workspace.
  termsOfService: https://www.salesforge.ai/terms
  title: Salesforge API
  version: '2.0'
servers:
  - url: https://api.salesforge.ai/public/v2
security:
  - ApiKeyAuth: []
externalDocs:
  description: ''
  url: ''
paths:
  /workspaces/{workspaceID}/dnc/bulk/remove:
    post:
      tags:
        - dnc
      summary: Bulk remove DNCs
      description: Remove multiple DNC entries from a workspace using their values.
      parameters:
        - description: Workspace ID
          in: path
          name: workspaceID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/api.BulkRemoveDNCRequest'
              description: Request body
              summary: request
        description: Request body
        required: true
      responses:
        '204':
          content:
            application/json:
              schema:
                type: string
          description: No Content
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.Error'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.BulkRemoveDNCRequest:
      properties:
        dncs:
          items:
            type: string
          maxItems: 1000
          minItems: 1
          type: array
          uniqueItems: false
      required:
        - dncs
      type: object
    errors.Error:
      allOf:
        - $ref: '#/components/schemas/data'
      properties:
        data: {}
        message:
          type: string
      type: object
    data:
      properties:
        data:
          items:
            $ref: '#/components/schemas/api.DNCResponse'
          type: array
      type: object
    api.DNCResponse:
      properties:
        createdAt:
          type: string
        type:
          $ref: '#/components/schemas/models.DncType'
        value:
          type: string
      type: object
    models.DncType:
      enum:
        - email
        - domain
        - linkedin
      type: string
      x-enum-varnames:
        - DncTypeEmail
        - DncTypeDomain
        - DncTypeLinkedin
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````